#region Copyright Syncfusion Inc. 2001-2016.
// Copyright Syncfusion Inc. 2001-2016. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.UI.Xaml.Charts;

namespace FastColumnChart
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            Syncfusion.SfSkinManager.SfSkinManager.SetVisualStyle(FastColumn,
                Syncfusion.SfSkinManager.VisualStyles.Lime);
        }
    }

    public class Model
    {
        public int StockID { get; set; }

        public double Price { get; set; }
    }

    public class ViewModel
    {
        DateTime date = new DateTime(1999, 1, 1);

        public ViewModel()
        {
            List = new ObservableCollection<Model>();
            Random random = new Random();

            for (int i = 0; i < 100; i++)
            {
                List.Add(new Model() { StockID = i, Price = random.Next(1, 20) });
            }            
        }

        public ObservableCollection<Model> List { get; set; }
    }
    
    //Custom scrollbar is defined to change the size constrains.
    public class CustomResizableScrollBar: SfChartResizableBar
    {
        //To measure the modified size.
        protected override Size MeasureOverride(Size availableSize)
        {
            base.MeasureOverride(availableSize); 
            return availableSize; 
        }
    }

    public class ThumbEllipseConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return (double)value * 0.5;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }
    }
}
